<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trade.service.finance.paymentcollection.mapper.OrderReceivePaymentAssociationMapper">

	<resultMap id="BaseResultMap" type="com.trade.service.finance.paymentcollection.domain.OrderReceivePaymentAssociation">
		<id column="id" property="id" />
		<id column="customer_user_id" property="customerUserId" />
		<id column="order_id" property="orderId" />
        <id column="order_no" property="orderNo" />
		<id column="goods_amount" property="goodsAmount" />
		<id column="goods_currency" property="goodsCurrency" />
		<id column="actual_received_amount" property="actualReceivedAmount" />
		<id column="actual_received_currency" property="actualReceivedCurrency" />
		<id column="remark" property="remark" />
		<id column="file_id" property="fileId" />
		<id column="business_batch_number" property="businessBatchNumber" />
		<id column="source" property="source" />
        <id column="status" property="status" />
		<id column="deleted" property="deleted" />
		<id column="gmt_create" property="gmtCreate" />
		<id column="gmt_modified" property="gmtModified" />
	</resultMap>
	<sql id="Base_Column_List">
		id, customer_user_id, order_id, order_no, goods_amount, goods_currency, actual_received_amount, actual_received_currency, remark, file_id, business_batch_number, source, status, deleted, gmt_create, gmt_modified
	</sql>
	
</mapper>